import 'package:flutter/material.dart';

class HomeProvider extends ChangeNotifier {
  TextEditingController height = TextEditingController();
  TextEditingController age = TextEditingController();
  bool onFocus = false;
  bool onFocus1 = false;
  int? indexGender;
  int? indexBreastfeeding;

  get getOnFocus => onFocus;
  get getOnFocus1 => onFocus1;
  get getIndexGender => indexGender;
  get getIndexBreastfeeding => indexBreastfeeding;
  TextEditingController get getHeight => height;
  TextEditingController get getAge => age;

  clearField() {
    height.clear();
    age.clear();
    indexGender = null;
    indexBreastfeeding = null;
    onFocus = false;
    onFocus1 = false;
    notifyListeners();
  }
}
